Update Template Field Rule
curl --request PATCH \
--url https://api.amplify.xyz/v1/esign_templates/{templateId}/field_rule/{templateFieldRuleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Template Rule",
"actions": [
{
"field_type": "text",
"field_value": "",
"show_fields": [
"<fieldTemplateId>"
]
}
]
}
'import requests
url = "https://api.amplify.xyz/v1/esign_templates/{templateId}/field_rule/{templateFieldRuleId}"
payload = {
"name": "Updated Template Rule",
"actions": [
{
"field_type": "text",
"field_value": "",
"show_fields": ["<fieldTemplateId>"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Template Rule',
actions: [{field_type: 'text', field_value: '', show_fields: ['<fieldTemplateId>']}]
})
};
fetch('https://api.amplify.xyz/v1/esign_templates/{templateId}/field_rule/{templateFieldRuleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Field rules
Update Template Field Rule
Customer API v1 endpoint.
PATCH
/
v1
/
esign_templates
/
{templateId}
/
field_rule
/
{templateFieldRuleId}
Update Template Field Rule
Update Template Field Rule. Authenticate with a Bearer access token unless the endpoint is the authentication token exchange.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200
Successful response. Response body was not included in the source collection.
